## proftpd-dfsg 1.3.4a

=== debian/changelog ===
proftpd-dfsg (1.3.4a-5+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix CVE-2015-3306: unauthenticated copying of files via SITE CPFR/CPTO
    allowed by mod_copy (Closes: #782781)

 -- Sebastien Delafond <seb@debian.org>  Tue, 19 May 2015 12:58:18 +0200

proftpd-dfsg (1.3.4a-5+deb7u2) wheezy; urgency=low

  * Non-maintainer upload.
  * Fix SFTP crash with large files (Closes: #738067)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 04 Sep 2014 15:33:21 +0100

proftpd-dfsg (1.3.4a-5+deb7u1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix invalid pool authentication in mod_sftp/mod_sftp_pam during kbdint
    authentication leading to DoS conditions (CVE-2013-4359; Closes: #723179).

 -- Nico Golde <nion@debian.org>  Sat, 28 Sep 2013 16:49:45 +0000

proftpd-dfsg (1.3.4a-4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recommend proftpd-mod-vroot (closes: #704484).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 16 Apr 2013 02:58:07 +0000

proftpd-dfsg (1.3.4a-4) unstable; urgency=low

  * Removed it/ru moving of locale directories. That hack is lost in time and
    currently wrong.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 09 Jan 2013 13:05:33 +0100

proftpd-dfsg (1.3.4a-3) unstable; urgency=low

  [SECURITY] New patch 3841 fixes CVE-2012-6095: a possible race
  condition in the handling of the MKD/XMKD FTP commands, when the UserOwner 
  directive is involved, and the attacker is on the same physical 
  machine as a running proftpd.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Jan 2013 12:08:47 +0100

proftpd-dfsg (1.3.4a-2) unstable; urgency=low

  [ Mahyuddin Susanto ]
  * Team upload.
  * Fix typo in proftpd.conf templates line 133, thanks John Smith.
    (Closes: #655630)
  * Updated Danish translations, thanks Joe Dalton. (Closes: #659326)
  * debian/copyright:
    - Resync with latest dep5 format.
    - Use stand-alone license paragraph for repeatable license.
    - Use whitespace instead of comma separated for Files fields.
    - wrap-and-sort.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
  * debian/rules: Enabled hardened flags, patch from Moritz Muehlenhoff.
    (Closes: #657213)
  * debian/changelog: Wrap latest changelog line 3 to 80 line, thanks lintian.
  * debian/proftpd-basic.install: Add missing sftp-sql modules.
    (Closes: 665191)

  [ Francesco Paolo Lovergine ]
  * Added a note about the need of removing rfc/ folder in upstream sources.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 28 Mar 2012 15:24:13 +0200

proftpd-dfsg (1.3.4a-1) unstable; urgency=low

  * New upstream release.
  * Merged patch removed: 3711.
  * Now enabled PCRE instead of glibc POSIX regex and added required
    libpcre3-dev build-dep.
  * Added libpcre3-dev dependency to libproftpd-dev due to header files
    inclusion.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Nov 2011 13:29:13 +0100
