=== debian/control ===
Source: proftpd-dfsg
Section: net
Priority: optional
Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.9.3
Build-Depends: autotools-dev,
               debhelper (>= 7),
               libacl1-dev,
               libattr1-dev,
               libcap-dev [linux-any],
               libldap2-dev,
               libmysqlclient-dev,
               libncurses5-dev,
               libpam-dev,
               libpcre3-dev,
               libpq-dev,
               libsqlite3-dev,
               libssl-dev (>= 0.9.8l),
               libwrap0-dev,
               unixodbc-dev,
               zlib1g-dev
Homepage: http://www.proftpd.org/
Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git

Package: proftpd-basic
Architecture: any
Depends: adduser,
         debconf (>= 0.5.00),
         debianutils (>= 1.21.0),
         libpam-runtime (>= 0.76-13.1),
         netbase (>= 4.13),
         sed (>= 4.1.5),
         ucf (>= 0.30),
         update-inetd,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ftp-server
Breaks: proftpd (<< 1.3.2)
Replaces: proftpd (<< 1.3.2)
Provides: ftp-server, proftpd, proftpd-abi-1.3.4a
Recommends: proftpd-mod-vroot
Suggests: openbsd-inetd | inet-superserver,
          openssl,
          proftpd-doc,
          proftpd-mod-ldap,
          proftpd-mod-mysql,
          proftpd-mod-odbc,
          proftpd-mod-pgsql,
          proftpd-mod-sqlite
Description: Versatile, virtual-hosting FTP daemon - binaries
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the daemon and all main modules used for
 common configurations. If you need database-centric authentication
 install the suitable proftpd-mod suggested package.

Package: proftpd-dev
Architecture: any
Depends: libacl1-dev,
         libpcre3-dev,
         libssl-dev,
         libtool,
         proftpd-basic (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pkg-config
Description: Versatile, virtual-hosting FTP daemon - development files
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains all files required to develop thirdr-parties
 modules that can be loaded at run-time by means of DSO support.

Package: proftpd-doc
Architecture: all
Suggests: proftpd-basic
Section: doc
Depends: ${misc:Depends}
Description: Versatile, virtual-hosting FTP daemon - documentation
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package contains the software documentation.
Homepage: http://www.proftpd.org/docs

Package: proftpd-mod-mysql
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - MySQL module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides MySQL based authentication.

Package: proftpd-mod-pgsql
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - PostgreSQL module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides PostgreSQL based authentication.

Package: proftpd-mod-ldap
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - LDAP module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides LDAP based authentication.

Package: proftpd-mod-odbc
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - ODBC module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides ODBC based authentication.

Package: proftpd-mod-sqlite
Architecture: any
Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Versatile, virtual-hosting FTP daemon - SQLite3 module
 ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
 Protocol daemon supports also hidden directories, virtual hosts, and
 per-directory ".ftpaccess" files. It uses a single main configuration
 file, with a syntax similar to Apache.
 .
 Because of the advanced design, anonymous-FTP directories can have
 an arbitrary internal structure (bin, lib, etc, and special files are
 not needed). Advanced features such as multiple password files and
 upload/download ratios are also supported.
 .
 This package provides SQLite based authentication.
