## proftpd-dfsg 1.3.5~rc3

=== debian/changelog ===
proftpd-dfsg (1.3.5~rc3-2.1ubuntu2.1) trusty-security; urgency=low

  * SECURITY UPDATE: The mod_copy module in ProFTPD 1.3.5 allows remote
    attackers to read and write to arbitrary files via the site cpfr and
    site cpto commands. (LP: #1462311)
    - debian/patches/CVE-2015-3306.patch: adjust contrib/mod_copy.c to
      check authentication status. Based on upstream patch.
    - CVE-2015-3306

 -- Brian Morton <bmorton@dvidshub.net>  Sat, 4 Dec 2016 15:34:12 -0500

proftpd-dfsg (1.3.5~rc3-2.1ubuntu2) trusty; urgency=medium

  * Don't build using dh-autoreconf, patch the libtool snippets
    directly.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2013 18:42:50 +0100

proftpd-dfsg (1.3.5~rc3-2.1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 23:41:03 +0000

proftpd-dfsg (1.3.5~rc3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add CVE-2013-4359.patch patch.
    CVE-2013-4359: Fix invalid pool authentication in mod_sftp/mod_sftp_pam
    during kbdint authentication leading to DoS conditions. (Closes: #723179)
  * Correct Breaks and Replaces on proftpd-mod-geoip package.
    The old proftpd-mod-geoip addon module is now obsoleted by core proftpd.
    Adjusted the Breaks/Replaces to 1.3.5~rc1-1 which introduced the geoip
    module in proftpd core.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #699647)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Oct 2013 14:51:36 +0200

proftpd-dfsg (1.3.5~rc3-2) unstable; urgency=low

  * Added version for dependency on memcached, for completeness.
    (closes: #699514)
  * The old proftpd-mod-geoip addon module is now onbsoleted by core proftpd,
    so required Breaks/Replaces are provided to avoid piuparts breakages.
    (closes: #699647)
  * Modified modules.conf template to suggest the geoip module.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Jul 2013 14:09:32 +0200

proftpd-dfsg (1.3.5~rc3-1) unstable; urgency=low

  * New upstream pre-release. 
  * First upload in sid for 1.3.5 series.
  * Policy bumped to 3.9.4, no changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 Jun 2013 17:39:40 +0200

proftpd-dfsg (1.3.5~rc2-1) experimental; urgency=low

  * New upstream pre-release.
    (closes: #671063)
  * Refreshed all Debian related patches.
  * Do not install ftpasswd.1 anymore.
    (closes: #699800)
  * Added support for inetutils-inetd. Thanks Mats Erik Andersson.
    (closes: #679221)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 07 Mar 2013 10:23:59 +0100

proftpd-dfsg (1.3.5~rc1-2) experimental; urgency=low

  * Now signal() uses a schedule for --retry in start-stop-daemon instead of a 
    simple fixed delay. This should be safe in every situations when the init
    script is called.
    (closes: #675081)
  * Removed dependency on update-inetd. Now it is under responsability of the
    admin to ensure installing *inetd _before_ reconfiguring proftpd in 
    non standalone mode. Also in that case one could use xinetd which renders
    the update-inetd tool superfluous.
    (closes: #626527)
  * Added Suggests for the new -geoip module.
  * New patch: `contrib_hardening_flags' adds hardening flags to contrib/ modules.
    (Thanks Simon Ruderich for the patch).
    (closes: #668196)
  * Added hardening-includes b-d.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Jan 2013 10:57:37 +0100

proftpd-dfsg (1.3.5~rc1-1) experimental; urgency=low

  * New upstream pre-release.
    (closes: #697526, #691618, #600596)
  * Refreshed main patchset for 1.3.5 source tree. CVE-2012-6095 provided
    by 3841 dropped.
  * Added mod_geoip module among contributed module and a new binary
    package to depend on GeoIP library.
  * Now all calls of /etc/init.d/proftpd or invoke-rc.d cannot fail anymore.
    (closes: #622126)
  * Now `ftp' user is only removed in postrm purge, without removing 
    its home dir. (closes: #655514)
  * Missing memcache enabling renders mod_tls_memcache unusable even
    if present. That triggered the missing libmemcached-dev b-d and
    requires a new main library dependency.
  * Removed it/ru as standalone locale directories. Reason to have them is
    lost in time and currently wrong. This is also connected with #600596
    for those languages. Sigh.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Jan 2013 15:42:27 +0100
