=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: autotools-dev,
                debhelper (>= 7),
                libacl1-dev,
@@ -19,7 +20,10 @@
                libssl-dev (>= 0.9.8l),
                libwrap0-dev,
                unixodbc-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               libgeoip-dev,
+               libmemcached-dev (>= 0.41),
+               hardening-includes
 Homepage: http://www.proftpd.org/
 Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
 Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git
@@ -33,14 +37,12 @@
          netbase (>= 4.13),
          sed (>= 4.1.5),
          ucf (>= 0.30),
-         update-inetd,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.4a
-Recommends: proftpd-mod-vroot
+Provides: ftp-server, proftpd, proftpd-abi-1.3.5rc3
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-doc,
@@ -48,7 +50,8 @@
           proftpd-mod-mysql,
           proftpd-mod-odbc,
           proftpd-mod-pgsql,
-          proftpd-mod-sqlite
+          proftpd-mod-sqlite,
+          proftpd-mod-geoip
 Description: Versatile, virtual-hosting FTP daemon - binaries
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
@@ -186,3 +189,21 @@
  upload/download ratios are also supported.
  .
  This package provides SQLite based authentication.
+
+Package: proftpd-mod-geoip
+Architecture: any
+Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: proftpd-mod-geoip (<< 1.3.5~rc1-1)
+Replaces: proftpd-mod-geoip (<< 1.3.5~rc1-1)
+Description: Versatile, virtual-hosting FTP daemon - GeoIP module
+ ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
+ Protocol daemon supports also hidden directories, virtual hosts, and
+ per-directory ".ftpaccess" files. It uses a single main configuration
+ file, with a syntax similar to Apache.
+ .
+ Because of the advanced design, anonymous-FTP directories can have
+ an arbitrary internal structure (bin, lib, etc, and special files are
+ not needed). Advanced features such as multiple password files and
+ upload/download ratios are also supported.
+ .
+ This package provides GeoIP functionalities.
