## proftpd-dfsg 1.3.5

=== debian/changelog ===
proftpd-dfsg (1.3.5-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/powerpc64le.diff:
      + Patch lib/libltdl/m4/libtool.m4 and configure for ppc64el.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 14 Jun 2014 23:46:16 +0200

proftpd-dfsg (1.3.5-1) unstable; urgency=medium

  * New upstream release. Patch 4044 merged.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 13 Jun 2014 11:55:22 +0200

proftpd-dfsg (1.3.5~rc4-3ubuntu2) utopic; urgency=medium

  * No-change rebuild against new libmemcached.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 28 May 2014 22:02:25 -0400

proftpd-dfsg (1.3.5~rc4-3ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/powerpc64le.diff:
      + Patch lib/libltdl/m4/libtool.m4 and configure for ppc64el.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 18 May 2014 10:16:34 +0200

proftpd-dfsg (1.3.5~rc4-3) unstable; urgency=medium

  * Fixed postinst for invalid usermod call.
  * New patch added to fix upstream bug #4044. This fix now allows using a
    proper reload instead of a restart in the init script.
    (closes: #594449, #675081)
  * The previous change for the start-stop-daemon appears invalid, so changed
    a bit timings to possibly allow proper stops under heavy loads.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2014 08:25:22 +0200

proftpd-dfsg (1.3.5~rc4-2) unstable; urgency=medium

  * Now using /run instead of /var/run for state directory.
    (closes: #699798)
  * Revised debconf config to explicitly set default.
    (closes: #707689)
  * Revised (again) --retry flag for start-stop-daemon in order to fix long
    delays in stopping the daemon.
    (closes: #675081, #721201)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 06 Feb 2014 16:41:26 +0100

proftpd-dfsg (1.3.5~rc4-1) unstable; urgency=low

  * New upstream pre-release, with fix for CVE-2013-4359 aka proftpd#3973.
    (closes: #723179)
  * Included fix by Andreas Beckmann:
    - Cleanup Breaks+Replaces.
    - Add proftpd-mod-geoip.preinst script to delete the old buggy postrm script
      on upgrades from wheezy. Otherwise the buggy postrm script would delete
      some files from the newly unpacked package. 
    (closes: #699647)
  * Refreshed patchset.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 30 Jan 2014 13:20:53 +0100

proftpd-dfsg (1.3.5~rc3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup Breaks+Replaces.
  * Add proftpd-mod-geoip.preinst script to delete the old buggy postrm script
    on upgrades from wheezy. Otherwise the buggy postrm script would delete
    some files from the newly unpacked package.  (Closes: #699647)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jan 2014 04:05:47 +0100
