=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.5rc3
+Provides: ftp-server, proftpd, proftpd-abi-1.3.5
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-doc,
@@ -193,8 +193,6 @@
 Package: proftpd-mod-geoip
 Architecture: any
 Depends: proftpd-basic (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: proftpd-mod-geoip (<< 1.3.5~rc1-1)
-Replaces: proftpd-mod-geoip (<< 1.3.5~rc1-1)
 Description: Versatile, virtual-hosting FTP daemon - GeoIP module
  ProFTPD is a powerful modular FTP/SFTP/FTPS server. This File Transfer
  Protocol daemon supports also hidden directories, virtual hosts, and
