## proftpd-dfsg 1.3.5a

=== debian/changelog ===
proftpd-dfsg (1.3.5a-1ubuntu2) yakkety; urgency=medium

  * Add build-arch/build-indep targets.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2016 07:38:27 +0200

proftpd-dfsg (1.3.5a-1ubuntu1) yakkety; urgency=medium

  * Pick from the Debian VCS:
  * Remove hardening check in debian/rules, remove BD on
    hardening-includes (Closes: #836759).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2016 07:24:22 +0200

proftpd-dfsg (1.3.5a-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:52:18 +0000

proftpd-dfsg (1.3.5a-1) unstable; urgency=medium

  * New upstream release. Patch CVE-2015-3306 merged.
  * Patches refreshed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 27 Jan 2016 12:18:06 +0100

proftpd-dfsg (1.3.5-2) unstable; urgency=high

  * proftpd-dev: Depend on libtool-bin: merged NMU, thanks Doko.
    (closes: #761795) 
  * Add CVE-2015-3306 patch.
    Unauthenticated copying of files via SITE CPFR/CPTO allowed by mod_copy.
    (closes: #782781)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 23 Apr 2015 14:11:19 +0200
