=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: proftpd-dfsg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
+Maintainer: ProFTPD Maintainance Team <pkg-proftpd-maintainers@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: autotools-dev,
@@ -23,7 +22,6 @@
                zlib1g-dev,
                libgeoip-dev,
                libmemcached-dev (>= 0.41),
-               hardening-includes
 Homepage: http://www.proftpd.org/
 Vcs-Git: git://git.debian.org/pkg-proftpd/proftpd-dfsg.git
 Vcs-Browser: http://git.debian.org/?p=pkg-proftpd/proftpd-dfsg.git
@@ -42,7 +40,7 @@
 Conflicts: ftp-server
 Breaks: proftpd (<< 1.3.2)
 Replaces: proftpd (<< 1.3.2)
-Provides: ftp-server, proftpd, proftpd-abi-1.3.5
+Provides: ftp-server, proftpd, proftpd-abi-1.3.5a
 Suggests: openbsd-inetd | inet-superserver,
           openssl,
           proftpd-doc,
@@ -73,6 +71,7 @@
          libpcre3-dev,
          libssl-dev,
          libtool,
+         libtool-bin,
          proftpd-basic (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
