## proftpd-dfsg 1.3.5b

=== debian/changelog ===
proftpd-dfsg (1.3.5b-4+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Ensure that we do not reuse already-destroyed memory pools during data
    transfers (CVE-2020-9273) (Closes: #951800)
  * Clear the data-transfer instigating command pool but keep a memory pool.
    Fixes regression in the %{transfer-status} LogFormat functionality.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Feb 2020 22:43:05 +0100

proftpd-dfsg (1.3.5b-4+deb9u3) stretch; urgency=medium

  *  Cherry pick patch from upstream:
     - for upstream bug #861 (CVE-2019-19269) (Closes: #946345)
       Patch named upstream_pull_861_CVE-2019-19269

 -- Hilmar Preusse <hille42@web.de>  Tue, 31 Dec 2019 11:06:16 +0100

proftpd-dfsg (1.3.5b-4+deb9u2) stretch-security; urgency=high

  * Add patch from upstream to address CVE-2019-18217.
    (Closes: #942831)

 -- Hilmar Preusse <hille42@web.de>  Wed, 23 Oct 2019 23:34:50 +0200

proftpd-dfsg (1.3.5b-4+deb9u1) stretch-security; urgency=high

  * proftpd-1.3.5e-CVE-2019-12815.patch by Paul Howarth <paul@city-fan.org>
    to solve CVE-2019-12815 (Closes: #932453).

 -- Hilmar Preusse <hille42@web.de>  Thu, 01 Aug 2019 11:34:23 +0200

proftpd-dfsg (1.3.5b-4) unstable; urgency=medium

  * Added patch CVE-2017-7418 to add recursive handling of DefalutRoot path.
    (closes: #859592)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 05 Apr 2017 15:57:53 +0200

proftpd-dfsg (1.3.5b-3) unstable; urgency=medium

  * Updated debian/proftpd-basic.NEWS to include information already present
    in debian/NEWS. For some reason that was missed in some old merge of
    different branches.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 31 Jan 2017 09:20:06 +0100

proftpd-dfsg (1.3.5b-2) unstable; urgency=medium

  * Removed debconf support and added NEWS entry to warn about that.
    (Closes: #820984)
  * Fixed wrong suggest onto libssl-dev (1.1) in proftpd-dev.
    (Closes: #848124)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 30 Jan 2017 13:30:29 +0100

proftpd-dfsg (1.3.5b-1) unstable; urgency=medium

  [ Mahyuddin Susanto ]
  * Fix FTBFS for missing build-indep, Thanks Santiago Vila
    (Closes: #831961).
  * Fix FTBFS in hurd-i386, thanks Svante Signell (Closes: #745493).

  [Hilmar Preuße]
  * Apply patch for ftpasswd.8 (Closes: #774390)
  * Some files created during build were not removed during clean.
  * Apply patch to allow transfer large files (more than 1 GB)
    with SFTP module (Closes: #809068), large_files_SFTP.diff
  * Apply patch for reproducible build. Thanks to Chris Lamb
    (Closes: #831381).
  * Remove hardening check in debian/rules, remove BD on
    hardening-includes (Closes: #836759).
  * Use common-session-noninteractive PAM configuration fragment,
    (instead of common-session) in pam config of proftpd-basic
    (Closes: #804322).
  * Apply patch to not request the whole passwd DB at each login. Thanks
    to Arthur de Jong <adejong@debian.org>. (Closes: #717235).
    <quote src=AdJ>
    I still question the usefulness of setpwent()/getpwent() in the first
    place as there is no guarantee that any resources opened for setpwent()
    are used for other getpw{nam,uid}() calls.
    </quote>
  * OpenSSL 1.1 transition: we'll have OpenSSL 1.0 in Stretch (see [1]).
    Change BD from libssl-dev to libssl1.0-dev. This lowers severity of
    (#828513) to non-rc.
  * lintian "W: invalid-short-name-in-dep5-copyright bsd" (BSD-3-clause).
  * lintian "E: proftpd-basic: init.d-script-needs-depends-on-lsb-base (...)"
  * lintian "E: proftpd-dfsg source: build-depends-on-obsolete-package
    build-depends: libmysqlclient-dev => default-libmysqlclient-dev"
  * Same URL for Vcs-Git & Vcs-Browser in control file.
  * Some suggestions by Mattia Rizzolo <mattia@debian.org> for d/rules
    - Update of config.{sub,guess} is done by dh_update_autotools_config
    - build done by dh_auto_build, instead of manual "make all"
    - call dh_auto_clean instead of manual "make distclean"
    - replace some install calls by entries in $package.install files
    - remove "-l option" from dh_shlibdeps call
    - install init script and defaults file using dh_installinit
    - Some files in clean target are removed using debian/clean
    - install files using dh_auto_install, do not strip during installation

  [1] https://lists.debian.org/debian-devel-announce/2016/11/msg00001.html

  [ Francesco Paolo Lovergine ]
  * Team upload.
  * New upstream release. Merged patch for #809068.
    Contains fix for CVE-2016-3125 (Closes: #818492)
  * Patchset updated and uniformed for name.
  * ABI version updated.
  * Debhelper compatibility set to 9.
  * Policy bumped to 3.9.8, no changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 11 Dec 2016 14:48:30 +0100
