## proftpd-dfsg 1.3.5d

=== debian/changelog ===
proftpd-dfsg (1.3.5d-1) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Init script (rarely) fails in detecting pid file (Closes: #756637)
  * Fix dep of proftpd-dev (libssl-dev -> libssl1.0-dev)
    (Closes: #848124)
  * Remove shlib-calls-exit from lintian overrides (warning is gone)
  * Reformat debian/*NEWS files (kills syntax-error-in-debian-news-file,
    removed lintian override).
  * Clean proftpd-basic.dirs a little bit. Kill proftpd-dev.dirs.
  * Tighten B-D version of debhelper (dh_update_autotools_config was
    introduced).
  * Patch github_305_handling_unclosed_files
    When handling unclosed files for an aborted SFTP session, we will
    need a valid response pool.  So provide one.  The lack of this may have
    been causing some segfaults. (LP: #1647094)
  * Patch bug_4277_deb_823409
    Upstream identified another Memleak, occurring when /uploading/ large
    files; affects only 1.3.5 line. Patch hopefully (Closes: #823409).

  [ Francesco Paolo Lovergine ]
  * New upstream release. (Closes: #854369)
    * Patchset updated to remove already included patches.
    * Build w/ OpenSSL 1.1. Do it (Closes: #828513)
  * Makes piuparts happy by removing /srv/ftp on purge 
  * Removed debconf support and added a proftpd-basic.NEWS entry to warn about
    that. (Closes: #820984)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 26 Jan 2017 13:23:53 +0100
